

%% empty var
inputs=cell(n_input,1);
for ni=1:n_input
    inputs{ni}=zeros(time,2);
    inputs{ni}(1,:)=[.4 .4];
end

inp12crx1=eye(dim,dim);
inp12crx2=eye(dim2,dim2)*1.0;
inp12crx2(2,1) = 1.0;


%% layer 1 cortex
crx1.potential  = zeros(time,dim);
crx1.activity  = zeros(time,dim);
crx1.decay  = 300;
crx1.noise  = 0;
crx1.baseline = 0;
crx1.th_out   = 0;
% spike settings


%general settings (gain excluded)
crx1.epsilon    = 1;
crx1.lambda     = 0;
% crx1.epsilon    = 0.2;
% crx1.lambda     = 0.8;

%% matrix of lateral connectivity in the output layer "cortex"
patt2 = eye(dim,dim)*0.9;
mod_patt2=zeros(dim,dim);

for j_rc=1:100
    if j_rc<=50
        patt2(j_rc,j_rc)=0;
        patt2(j_rc,j_rc+50)=+1.3;
        mod_patt2(j_rc,j_rc+50)=+1.5;
    elseif j_rc>=51
        patt2(j_rc,j_rc-50)=-2.0;
        mod_patt2(j_rc,j_rc-50)=-2.0;
    end
end
crx1.self_w = patt2;

%%

crx2.potential  = zeros(time,dim2);
crx2.activity  = zeros(time,dim2);
crx2.decay  = 300;
crx2.noise  = 0;
crx2.baseline = 0;
crx2.th_out   = 0;
crx2.epsilon    = 1;
crx2.lambda     = 0;
crx2.self_w =zeros(2,2);

da_store=zeros(time,1);

%colormap(autumn(10)) %discrete gradient: 10 steps in this case
fmri_col(1:64,1)=[0:(1/30):1, ones(1,(64-31))];
fmri_col(1:64,2)=[zeros(1,22) 0:(1/30):1, ones(1,(64-53))];
fmri_col(1:64,3)=[zeros(1,(64-21)) 0:(1/20):1];


